# Intercom API

The intercom API reference.

Version: 2.16
License: MIT

## Servers

The production API server
```
https://api.intercom.io
```

The european API server
```
https://api.eu.intercom.io
```

The australian API server
```
https://api.au.intercom.io
```

## Security

### bearerAuth

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Intercom API](https://developers.intercom.com/_bundle/docs/references/@2.16/rest-api/api.intercom.io.yaml)

## Admins

 - [GET /me](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/identifyadmin.md): You can view the currently authorised admin along with the embedded app object (a "workspace" in legacy terminology). > 🚧 Single Sign On If you are building a custom "Log in with Intercom" flow for y
 - [PUT /admins/{admin_id}/away](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/setawayadmin.md): You can set an Admin as away for the Inbox.
 - [GET /admins/activity_logs](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/listactivitylogs.md): You can get a log of activities by all admins in an app.
 - [POST /admins/activity_logs/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/searchactivitylogs.md): Search and filter admin activity logs using a POST request with event type filter in the request body. You can find more details about the available event types in the List all activity log event type
 - [GET /admins/activity_log_event_types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/listactivitylogeventtypes.md): You can get a list of all activity log event types. This is useful for discovering valid values to use with the `event_types` filter on the List all activity logs endpoint.
 - [GET /admins](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/listadmins.md): You can fetch a list of admins for a given workspace.
 - [GET /admins/{admin_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/retrieveadmin.md): You can retrieve the details of a single admin.
 - [Activity Log Event Types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/activity_log_event_type_list.md): Schema: #/components/schemas/activity_log_event_type_list
 - [Admin](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/admins/admin.md): Schema: #/components/schemas/admin
## AI Content

 - [GET /ai/content_import_sources](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/listcontentimportsources.md): You can retrieve a list of all content import sources for a workspace.
 - [POST /ai/content_import_sources](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/createcontentimportsource.md): You can create a new content import source by sending a POST request to this endpoint.
 - [DELETE /ai/content_import_sources/{source_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/deletecontentimportsource.md): You can delete a content import source by making a DELETE request this endpoint. This will also delete all external pages that were imported from this source.
 - [GET /ai/content_import_sources/{source_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/getcontentimportsource.md)
 - [PUT /ai/content_import_sources/{source_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/updatecontentimportsource.md): You can update an existing content import source.
 - [GET /ai/external_pages](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/listexternalpages.md): You can retrieve a list of all external pages for a workspace.
 - [POST /ai/external_pages](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/createexternalpage.md): You can create a new external page by sending a POST request to this endpoint. If an external page already exists with the specified source_id and external_id, it will be updated instead.
 - [DELETE /ai/external_pages/{page_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/deleteexternalpage.md): Sending a DELETE request for an external page will remove it from the content library UI and from being used for AI answers.
 - [GET /ai/external_pages/{page_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/getexternalpage.md): You can retrieve an external page.
 - [PUT /ai/external_pages/{page_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/updateexternalpage.md): You can update an existing external page (if it was created via the API).
 - [Content Import Source](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/content_import_source.md): Schema: #/components/schemas/content_import_source
 - [Content Import Sources](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/content_import_sources_list.md): Schema: #/components/schemas/content_import_sources_list
 - [External Page](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/external_page.md): Schema: #/components/schemas/external_page
 - [External Pages](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ai-content/external_pages_list.md): Schema: #/components/schemas/external_pages_list
## Articles

 - [GET /articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/listarticles.md): You can fetch a list of all articles by making a GET request to `https://api.intercom.io/articles`. > 📘 How are the articles sorted and ordered? Articles will be returned in descending order on the `
 - [POST /articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/createarticle.md): You can create a new article by making a POST request to `https://api.intercom.io/articles`. > 📘 Tags cannot be managed via the Articles API Article tags are read-only in responses. To create, update
 - [GET /articles/{article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/retrievearticle.md): You can fetch the details of a single article by making a GET request to `https://api.intercom.io/articles/<id>`.
 - [PUT /articles/{article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/updatearticle.md): You can update the details of a single article by making a PUT request to `https://api.intercom.io/articles/<id>`. > 📘 Tags cannot be managed via the Articles API Article tags are read-only in respon
 - [DELETE /articles/{article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/deletearticle.md): You can delete a single article by making a DELETE request to `https://api.intercom.io/articles/<id>`.
 - [GET /articles/{id}/draft](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/retrievearticledraft.md): Fetch the staged draft of a published article by making a GET request to `https://api.intercom.io/articles/<id>/draft`. The response is the article rendered with its draft content, leaving the live ar
 - [PUT /articles/{id}/draft](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/stagearticledraft.md): Stage changes to a published article as a draft by making a PUT request to `https://api.intercom.io/articles/<id>/draft`. The live article remains unchanged until the draft is published. The article m
 - [POST /articles/{id}/draft/publish](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/publisharticledraft.md): Publish a staged draft by making a POST request to `https://api.intercom.io/articles/<id>/draft/publish`, promoting the draft content to live. On a single-language workspace no body is required. On a
 - [POST /articles/{article_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/attachtagtoarticle.md): Apply an existing tag to an article. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have the `manag
 - [DELETE /articles/{article_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/detachtagfromarticle.md): Remove a tag from an article. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission. Requires
 - [GET /articles/{article_id}/versions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/listarticleversions.md): Fetch the version history of an article by making a GET request to `https://api.intercom.io/articles/<article_id>/versions`. Versions are returned newest-first as a paginated list of metadata. Use `GE
 - [GET /articles/{article_id}/versions/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/retrievearticleversion.md): Fetch a single prior version of an article, including its body content, by making a GET request to `https://api.intercom.io/articles/<article_id>/versions/<id>`. Returns the version's full content; th
 - [GET /articles/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/searcharticles.md): You can search for articles by making a GET request to `https://api.intercom.io/articles/search`.
 - [Article](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/article.md): Schema: #/components/schemas/article
 - [Articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/article_list_item.md): Schema: #/components/schemas/article_list_item
 - [Article Search Highlights](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/article_search_highlights.md): Schema: #/components/schemas/article_search_highlights
 - [Article Search Response](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/article_search_response.md): Schema: #/components/schemas/article_search_response
 - [Article Version](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/article_version.md): Schema: #/components/schemas/article_version
 - [Article Version Summary](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/article_version_summary.md): Schema: #/components/schemas/article_version_summary
 - [Internal Article](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/articles/internal_article.md): Schema: #/components/schemas/internal_article
## Audiences

 - [GET /audiences](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/audiences/listaudiences.md): You can fetch a list of all audiences for the workspace.
 - [POST /audiences](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/audiences/createaudience.md): You can create a new audience by making a POST request to `https://api.intercom.io/audiences`.
 - [GET /audiences/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/audiences/retrieveaudience.md): You can fetch the details of a single audience by making a GET request to `https://api.intercom.io/audiences/{id}`.
 - [PUT /audiences/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/audiences/updateaudience.md): You can update the details of a single audience by making a PUT request to `https://api.intercom.io/audiences/{id}`.
 - [DELETE /audiences/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/audiences/deleteaudience.md): You can delete a single audience by making a DELETE request to `https://api.intercom.io/audiences/{id}`.
 - [Audience](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/audiences/audience.md): Schema: #/components/schemas/audience
## Away Status Reasons

 - [GET /away_status_reasons](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/away-status-reasons/listawaystatusreasons.md): Returns a list of all away status reasons configured for the workspace, including deleted ones.
## Banners

 - [GET /contacts/{id}/banners](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/banners/listcontactbanners.md): Returns the banners a contact currently matches, so you can display them on surfaces outside the Messenger (native mobile apps, kiosks, embedded tools). Each banner in the response includes a `view_id
 - [POST /contacts/{id}/banners/{view_id}/dismiss](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/banners/dismisscontactbanner.md): Records that a contact has dismissed a banner. Dismissals are shared across surfaces, so a banner dismissed through this endpoint will also stop appearing in the web Messenger for that contact, and vi
 - [Banner](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/banners/banner.md): Schema: #/components/schemas/banner
 - [Banner Dismiss](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/banners/banner_dismiss.md): Schema: #/components/schemas/banner_dismiss
## Brands

 - [GET /brands](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/brands/listbrands.md): Retrieves all brands for the workspace, including the default brand. The default brand id always matches the workspace
 - [GET /brands/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/brands/retrievebrand.md): Fetches a specific brand by its unique identifier
 - [Brand](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/brands/brand.md): Schema: #/components/schemas/brand
 - [Brand List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/brands/brand_list.md): Schema: #/components/schemas/brand_list
## Calls

 - [GET /calls](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/listcalls.md): Retrieve a paginated list of calls.
 - [GET /calls/{call_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/showcall.md): Retrieve a single call by id.
 - [GET /calls/{call_id}/recording](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/showcallrecording.md): Redirects to a signed URL for the call's recording if it exists.
 - [GET /calls/{call_id}/transcript](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/showcalltranscript.md): Returns the transcript for the specified call as a downloadable text file.
 - [POST /calls/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/listcallswithtranscripts.md): Retrieve calls by a list of conversation ids and include transcripts when available. A maximum of 20 `conversation_ids` can be provided. If none are provided or more than 20 are provided, a 400 error
 - [POST /fin_voice/register](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/registerfinvoicecall.md): Register a Fin Voice call with Intercom. This endpoint creates an external reference that links an external call identifier to an Intercom call and conversation. The call can be from different source
 - [GET /fin_voice/collect/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/collectfinvoicecallbyid.md): Retrieve information about a Fin Voice call using the external reference ID.
 - [GET /fin_voice/external_id/{external_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/collectfinvoicecallbyexternalid.md): Retrieve information about a Fin Voice call using the external call identifier.
 - [GET /fin_voice/phone_number/{phone_number}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/collectfinvoicecallbyphonenumber.md): Retrieve information about a Fin Voice call using the phone number. Returns the most recent matched call for the given phone number, ordered by creation date.
 - [GET /fin_voice/conversation/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/collectfinvoicecallsbyconversationid.md): Retrieve information about Fin Voice calls associated with a conversation. Returns all matched calls for the given conversation ID. A conversation may have multiple associated calls.
 - [Call](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/calls/call.md): Schema: #/components/schemas/call
## Companies

 - [POST /companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/createorupdatecompany.md): You can create or update a company. Companies will be only visible in Intercom when there is at least one associated user. Companies are looked up via `company_id` in a `POST` request, if not found vi
 - [GET /companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/retrievecompany.md): You can fetch a single company by passing in `company_id` or `name`. `https://api.intercom.io/companies?name={name}` `https://api.intercom.io/companies?company_id={company_id}` You can fetch all compa
 - [GET /companies/{company_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/retrieveacompanybyid.md): You can fetch a single company.
 - [PUT /companies/{company_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/updatecompany.md): You can update a single company using the Intercom provisioned `id`. When updating a company it is not possible to update `company_id`. This can only be set once upon creation of the company.
 - [DELETE /companies/{company_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/deletecompany.md): Delete a single company. This endpoint does not permanently remove the company. It archives the company record and detaches any contacts attached to it; the contacts themselves are not deleted. A `com
 - [GET /companies/{company_id}/contacts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/listattachedcontacts.md): You can fetch a list of all contacts that belong to a company.
 - [GET /companies/{company_id}/segments](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/listattachedsegmentsforcompanies.md): You can fetch a list of all segments that belong to a company.
 - [GET /companies/{company_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/listcompanynotes.md): You can fetch a list of notes that are associated to a company.
 - [POST /companies/{company_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/createcompanynote.md): You can add a note to a single company.
 - [POST /companies/list](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/listallcompanies.md): You can list companies. The company list is sorted by the `last_request_at` field and by default is ordered descending, most recently requested first. Note that the API does not include companies who
 - [GET /companies/scroll](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/scrolloverallcompanies.md): The `list all companies` functionality does not work well for huge datasets, and can result in errors and performance problems when paging deeply. The Scroll API provides an efficient mechanism for it
 - [POST /contacts/{contact_id}/companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/attachcontacttoacompany.md): You can attach a company to a single contact.
 - [GET /contacts/{contact_id}/companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/listcompaniesforacontact.md): You can fetch a list of companies that are associated to a contact.
 - [DELETE /contacts/{contact_id}/companies/{company_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/detachcontactfromacompany.md): You can detach a company from a single contact.
 - [Company](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/companies/company.md): Schema: #/components/schemas/company
## Contacts

 - [GET /companies/{company_id}/contacts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listattachedcontacts.md): You can fetch a list of all contacts that belong to a company.
 - [POST /contacts/{contact_id}/companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/attachcontacttoacompany.md): You can attach a company to a single contact.
 - [GET /contacts/{contact_id}/companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listcompaniesforacontact.md): You can fetch a list of companies that are associated to a contact.
 - [DELETE /contacts/{contact_id}/companies/{company_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/detachcontactfromacompany.md): You can detach a company from a single contact.
 - [GET /contacts/{contact_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listnotes.md): You can fetch a list of notes that are associated to a contact.
 - [POST /contacts/{contact_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/createnote.md): You can add a note to a single contact.
 - [GET /contacts/{contact_id}/segments](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listsegmentsforacontact.md): You can fetch a list of segments that are associated to a contact.
 - [GET /contacts/{contact_id}/subscriptions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listsubscriptionsforacontact.md): You can fetch a list of subscription types that are attached to a contact. These can be subscriptions that a user has 'opted-in' to or has 'opted-out' from, depending on the subscription type. This wi
 - [POST /contacts/{contact_id}/subscriptions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/attachsubscriptiontypetocontact.md): You can add a specific subscription to a contact. In Intercom, we have two different subscription types based on user consent - opt-out and opt-in: 1.Attaching a contact to an opt-out subscription
 - [DELETE /contacts/{contact_id}/subscriptions/{subscription_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/detachsubscriptiontypetocontact.md): You can remove a specific subscription from a contact. This will return a subscription type model for the subscription type that was removed from the contact.
 - [GET /contacts/{contact_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listtagsforacontact.md): You can fetch a list of all tags that are attached to a specific contact.
 - [POST /contacts/{contact_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/attachtagtocontact.md): You can tag a specific contact. This will return a tag object for the tag that was added to the contact.
 - [DELETE /contacts/{contact_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/detachtagfromcontact.md): You can remove tag from a specific contact. This will return a tag object for the tag that was removed from the contact.
 - [PUT /contacts/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/updatecontact.md): You can update an existing contact (ie. user or lead). This endpoint handles both **contact updates** and **custom object associations**. See *`update a contact with an association to a custom object
 - [GET /contacts/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/showcontact.md): You can fetch the details of a single contact. If a contact has been merged into another contact via the Merge endpoint (`POST /contacts/merge`), requesting it by its original ID will return **HTTP 41
 - [DELETE /contacts/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/deletecontact.md): You can delete a single contact.
 - [POST /contacts/merge](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/mergecontact.md): You can merge a contact with a `role` of `lead` into a contact with a `role` of `user`. Once a merge is completed, the source contact (`from`) is permanently removed from the active contact list. This
 - [POST /contacts/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/searchcontacts.md): You can search for multiple contacts by the value of their attributes in order to fetch exactly who you want. To search for contacts, you need to send a `POST` request to `https://api.intercom.io/cont
 - [GET /contacts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listcontacts.md): You can fetch a list of all contacts (ie. users or leads) in your workspace. Contacts that have been merged (via POST /contacts/merge) will not appear in list results. Only the target contact from the
 - [POST /contacts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/createcontact.md): You can create a new contact (ie. user or lead).
 - [GET /contacts/find_by_external_id/{external_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/showcontactbyexternalid.md): You can fetch the details of a single contact by external ID. Note that this endpoint only supports users and not leads. If the contact with this external ID has been merged into another contact, the
 - [POST /contacts/{contact_id}/archive](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/archivecontact.md): You can archive a single contact.
 - [POST /contacts/{contact_id}/unarchive](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/unarchivecontact.md): You can unarchive a single contact.
 - [GET /contacts/{id}/banners](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listcontactbanners.md): Returns the banners a contact currently matches, so you can display them on surfaces outside the Messenger (native mobile apps, kiosks, embedded tools). Each banner in the response includes a `view_id
 - [POST /contacts/{id}/banners/{view_id}/dismiss](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/dismisscontactbanner.md): Records that a contact has dismissed a banner. Dismissals are shared across surfaces, so a banner dismissed through this endpoint will also stop appearing in the web Messenger for that contact, and vi
 - [POST /contacts/{contact_id}/block](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/blockcontact.md): Block a single contact.<br>**Note:** conversations of the contact will also be archived during the process.<br>More details in [FAQ How do I block Inbox spam?](https://www.intercom.com/help/en/article
 - [GET /contacts/{id}/merge_history](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/listcontactmergehistory.md): Retrieve the paginated list of contacts that have been merged into a given contact. Only available for contacts with a `user` role. Returns a `404` if the contact is not found or has a `lead` role.
 - [Contact](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/contacts/contact.md): Schema: #/components/schemas/contact
## Content

 - [POST /content/bulk_actions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content/bulkcontentactions.md): Asynchronously run a bulk action over up to 1,000 Knowledge Hub content items. Six actions are supported: * `publish` and `unpublish` — apply to `article_content` only. * `delete` — permanently delete
 - [GET /content/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content/searchcontent.md): Search the knowledge base contents — articles, snippets, external pages, uploaded files, and internal articles — using a keyword query. Each result row has a `type` discriminator. Most types (`content
## Content Snippets

 - [GET /content_snippets](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/listcontentsnippets.md): You can fetch a list of all content snippets for a workspace.
 - [POST /content_snippets](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/createcontentsnippet.md): You can create a new content snippet.
 - [GET /content_snippets/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/getcontentsnippet.md): You can fetch a single content snippet by its id.
 - [PUT /content_snippets/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/updatecontentsnippet.md): You can update an existing content snippet.
 - [DELETE /content_snippets/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/deletecontentsnippet.md): You can delete a single content snippet by its id.
 - [POST /content_snippets/{content_snippet_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/attachtagtocontentsnippet.md): Apply an existing tag to a content snippet. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have the
 - [DELETE /content_snippets/{content_snippet_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/detachtagfromcontentsnippet.md): Remove a tag from a content snippet. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission. Re
 - [Content Snippet](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/content-snippets/content_snippet.md): Schema: #/components/schemas/content_snippet
## Conversations

 - [POST /conversations/{conversation_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/attachtagtoconversation.md): You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
 - [DELETE /conversations/{conversation_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/detachtagfromconversation.md): You can remove tag from a specific conversation. This will return a tag object for the tag that was removed from the conversation.
 - [GET /conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listconversations.md): You can fetch a list of all conversations. You can optionally request the result page size and the cursor to start after to fetch the result. You can use pagination to limit the number of results retu
 - [POST /conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/createconversation.md): You can create a conversation that has been initiated by a contact (ie. user or lead). The conversation can be an in-app message only. You can also send a message from a visitor by specifying their `u
 - [GET /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/retrieveconversation.md): You can fetch the details of a single conversation. This will return a single Conversation model with all its conversation parts. The maximum number of conversation parts that can be returned via the
 - [PUT /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/updateconversation.md): You can update an existing conversation. If you want to reply to a coveration or take an action such as assign, unassign, open, close or snooze, take a look at the reply and manage endpoints. This end
 - [DELETE /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/deleteconversation.md): Deleting a conversation is permanent and cannot be reversed. You can delete a single conversation. The behavior depends on the `retain_metrics` parameter: - **With `retain_metrics=true` (default)**: D
 - [POST /conversations/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/searchconversations.md): You can search for multiple conversations by the value of their attributes in order to fetch exactly which ones you want. To search for conversations, you need to send a `POST` request to `https://api
 - [POST /conversations/{conversation_id}/reply](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/replyconversation.md): You can reply to a conversation with a message from an admin or on behalf of a contact, or with a note for admins. By default, bot or Operator replies to an inbound email conversation aren't sent to y
 - [POST /conversations/{conversation_id}/parts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/manageconversation.md): For managing conversations you can: - Close a conversation - Snooze a conversation to reopen on a future date - Open a conversation which is `snoozed` or `closed` - Assign a conversation to an admin a
 - [POST /conversations/{conversation_id}/customers](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/attachcontacttoconversation.md): You can add participants who are contacts to a conversation, on behalf of either another contact or an admin. If you add a contact via the email parameter and there is no user/lead found on that works
 - [DELETE /conversations/{conversation_id}/customers/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/detachcontactfromconversation.md): You can remove participants who are contacts from a group conversation, on behalf of an admin. You cannot remove the last remaining contact from a conversation.
 - [GET /conversations/{id}/handling_events](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listhandlingevents.md): List all pause/resume events for a conversation. These events track when teammates paused or resumed handling a conversation. Requires the `read_conversations` OAuth scope.
 - [GET /conversations/{id}/side_conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listsideconversations.md): List side conversations for a given conversation. Side conversations are internal threads created by teammates from within a conversation. Each side conversation includes its conversation parts (messa
 - [POST /conversations/redact](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/redactconversation.md): You can redact a conversation part or the source message of a conversation (as seen in the source object). If you are redacting a conversation part, it must have a `body`. If you are redacting a sourc
 - [POST /conversations/{id}/merge](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/mergeconversation.md): Merge a secondary (source) conversation into a primary (target) conversation. The secondary conversation is closed and linked to the primary, which becomes the surviving thread. Returns the primary co
 - [POST /conversations/{conversation_id}/convert](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/convertconversationtoticket.md): You can convert a conversation to a ticket.
 - [GET /conversations/deleted](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/listdeletedconversationids.md): List all deleted conversation IDs. You can use pagination to limit the number of results returned. The default is `20` results per page. You can navigate to next pages using the `page` param.
 - [Conversation](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation.md): Schema: #/components/schemas/conversation
 - [Conversation List Item](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_list_item.md): Schema: #/components/schemas/conversation_list_item
 - [Conversation Monitor Evaluation](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_monitor_evaluation.md): Schema: #/components/schemas/conversation_monitor_evaluation
 - [Conversation Scorecard](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard.md): Schema: #/components/schemas/conversation_scorecard
 - [Conversation Scorecard Evaluator](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_evaluator.md): Schema: #/components/schemas/conversation_scorecard_evaluator
 - [Conversation Scorecard Evaluator Result](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_evaluator_result.md): Schema: #/components/schemas/conversation_scorecard_evaluator_result
 - [Reviewed Teammate](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/conversation_scorecard_reviewed_teammate.md): Schema: #/components/schemas/conversation_scorecard_reviewed_teammate
 - [Merge Conversations Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations/merge_conversations_request.md): Schema: #/components/schemas/merge_conversations_request
## Conversations Attributes

 - [GET /conversations/attributes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/listconversationattributes.md): You can fetch a list of all conversation attributes for your workspace.
 - [POST /conversations/attributes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/createconversationattribute.md): Create a new conversation attribute.
 - [GET /conversations/attributes/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/getconversationattribute.md): Retrieve a single conversation attribute by ID.
 - [PUT /conversations/attributes/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/updateconversationattribute.md): Update an existing conversation attribute.
 - [DELETE /conversations/attributes/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/deleteconversationattribute.md): Archive a conversation attribute (soft delete). The attribute is marked as archived but not permanently deleted.
 - [POST /conversations/attributes/{id}/options](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/createconversationattributeoption.md): Add a new option to a list-type conversation attribute. Returns the full attribute with the updated options array.
 - [PUT /conversations/attributes/{id}/options/{option_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/updateconversationattributeoption.md): Update the label of a single option on a list-type conversation attribute. Returns the full attribute with the updated options array.
 - [DELETE /conversations/attributes/{id}/options/{option_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/deleteconversationattributeoption.md): Archive a single option on a list-type conversation attribute (soft delete). The option remains in the response with `archived: true`. Returns the full attribute with the updated options array.
 - [Conversation Attribute](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/conversations-attributes/conversation_attribute.md): Schema: #/components/schemas/conversation_attribute
## Custom Object Instances

 - [PUT /contacts/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/updatecontact.md): You can update an existing contact (ie. user or lead). This endpoint handles both **contact updates** and **custom object associations**. See *`update a contact with an association to a custom object
 - [PUT /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/updateconversation.md): You can update an existing conversation. If you want to reply to a coveration or take an action such as assign, unassign, open, close or snooze, take a look at the reply and manage endpoints. This end
 - [POST /custom_object_instances/{custom_object_type_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/createcustomobjectinstances.md): Create or update a custom object instance
 - [GET /custom_object_instances/{custom_object_type_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/listcustomobjectinstances.md): List instances of a custom object type. Three modes are supported: - **No filter** — returns all instances for the type. - **`references_contact_id`** — returns instances associated with the given con
 - [DELETE /custom_object_instances/{custom_object_type_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/deletecustomobjectinstancesbyid.md): Delete a single Custom Object instance by external_id.
 - [GET /custom_object_instances/{custom_object_type_identifier}/{custom_object_instance_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/getcustomobjectinstancesbyid.md): Fetch a Custom Object Instance by id.
 - [DELETE /custom_object_instances/{custom_object_type_identifier}/{custom_object_instance_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/deletecustomobjectinstancesbyexternalid.md): Delete a single Custom Object instance using the Intercom defined id.
 - [Custom Object Instance](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/custom_object_instance.md): Schema: #/components/schemas/custom_object_instance
 - [Custom Object Instances](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/custom_object_instances_paginated_list.md): Schema: #/components/schemas/custom_object_instances_paginated_list
## Data Attributes

 - [GET /data_attributes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-attributes/lisdataattributes.md): You can fetch a list of all data attributes belonging to a workspace for contacts or companies. Conversation attributes are no longer returned by this endpoint. Calling without a `model` parameter no
 - [POST /data_attributes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-attributes/createdataattribute.md): You can create a data attributes for a `contact` or a `company`.
 - [PUT /data_attributes/{data_attribute_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-attributes/updatedataattribute.md): You can update a data attribute. > 🚧 Updating the data type is not possible It is currently a dangerous action to execute changing a data attribute's type via the API. You will need to update the typ
 - [Data Attribute](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-attributes/data_attribute.md): Schema: #/components/schemas/data_attribute
## Data Connectors

 - [GET /data_connectors](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/listdataconnectors.md): Returns a paginated list of all data connectors for the workspace, ordered by most recently updated first. Data connectors allow workflows and AI agents to make HTTP requests to external APIs.
 - [POST /data_connectors](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/createdataconnector.md): Create a new data connector. The connector is created in `draft` state. Configure its URL, headers, data inputs, and other settings, then set it to `live` when ready.
 - [GET /data_connectors/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/retrievedataconnector.md): You can retrieve the full detail of a single data connector by its ID. The response includes configuration, data inputs, response fields, and object mappings.
 - [DELETE /data_connectors/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/deletedataconnector.md): Delete an existing data connector. The connector must be in `draft` state and must not be in use by any workflows or AI agents.
 - [PATCH /data_connectors/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/updatedataconnector.md): Update an existing data connector. Only provided fields are changed. Set `state` to `live` or `draft` to change the connector's state.
 - [GET /data_connectors/{data_connector_id}/execution_results](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/listdataconnectorexecutionresults.md): Retrieve paginated execution logs for a specific data connector. Results from the last hour are returned by default. Use `start_ts` and `end_ts` to customize the time range. Request/response bodies ar
 - [GET /data_connectors/{data_connector_id}/execution_results/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/showdataconnectorexecutionresult.md): Retrieve details for a specific data connector execution result. Always includes request/response bodies and the sanitised request URL.
 - [Data Connector](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/data_connector.md): Schema: #/components/schemas/data_connector
 - [Data Connector (Detail)](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/data_connector_detail.md): Schema: #/components/schemas/data_connector_detail
 - [Data Connector Execution Result](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-connectors/data_connector_execution_result.md): Schema: #/components/schemas/data_connector_execution_result
## Data Events

 - [POST /events](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-events/createdataevent.md): You will need an Access Token that has write permissions to send Events. Once you have a key you can submit events via POST to the Events resource, which is located at https://api.intercom.io/events,
 - [GET /events](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-events/lisdataevents.md): > 🚧 Please note that you can only 'list' events that are less than 90 days old. Event counts and summaries will still include your events older than 90 days but you cannot 'list' these events individ
 - [POST /events/summaries](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-events/dataeventsummaries.md): Create event summaries for a user. Event summaries are used to track the number of times an event has occurred, the first time it occurred and the last time it occurred.
 - [Data Event](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-events/data_event.md): Schema: #/components/schemas/data_event
## Data Export

 - [POST /export/content/data](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-export/createdataexport.md): To create your export job, you need to send a `POST` request to the export endpoint `https://api.intercom.io/export/content/data`. This endpoint exports **message delivery and engagement data** for ou
 - [GET /export/content/data/{job_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-export/getdataexport.md): You can view the status of your job by sending a `GET` request to the URL `https://api.intercom.io/export/content/data/{job_identifier}` - the `{job_identifier}` is the value returned in the response
 - [POST /export/cancel/{job_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-export/canceldataexport.md): You can cancel your job
 - [GET /download/content/data/{job_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-export/downloaddataexport.md): When a job has a status of complete, and thus a filled download_url, you can download your data by hitting that provided URL, formatted like so: https://api.intercom.io/download/content/data/xyz1234.
 - [Data Export](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/data-export/data_export.md): Schema: #/components/schemas/data_export
## Emails

 - [GET /emails](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/emails/listemails.md): Lists all sender email address settings for the workspace
 - [GET /emails/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/emails/retrieveemail.md): Fetches a specific email setting by its unique identifier
 - [Email List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/emails/email_list.md): Schema: #/components/schemas/email_list
 - [Email Setting](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/emails/email_setting.md): Schema: #/components/schemas/email_setting
## Fin Agent

 - [POST /fin/start](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/startfinconversation.md): Initialize Fin by passing it the user's message along with conversation history and user details. These additional pieces of context will be used by Fin to provide a better and more contextual answer
 - [POST /fin/reply](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/replytofin.md): Once Fin has returned a response to a user's message, its status will be `awaiting_user_reply`. If a user replies, use this endpoint to send this response to Fin. Please reach out to your accounts tea
 - [POST /fin/csat](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/submitfincsat.md): Record a customer's satisfaction rating for a conversation, with an optional free-text remark. Fin decides *when* to ask for a rating — this reuses the CSAT settings on your Fin workflow, not this API
 - [Fin Agent Attachment](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_attachment.md): Schema: #/components/schemas/fin_agent_attachment
 - [Fin Agent Attribute Errors](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_attribute_errors.md): Schema: #/components/schemas/fin_agent_attribute_errors
 - [Fin Agent Conversation Metadata](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_conversation_metadata.md): Schema: #/components/schemas/fin_agent_conversation_metadata
 - [Fin Agent CSAT Requested Event](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_csat_requested_event.md): Schema: #/components/schemas/fin_agent_csat_requested_event
 - [Fin Agent Message](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_message.md): Schema: #/components/schemas/fin_agent_message
 - [Fin Agent Replied Event](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_replied_event.md): Schema: #/components/schemas/fin_agent_replied_event
 - [Fin Agent Reply Chunk Event](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_reply_chunk_event.md): Schema: #/components/schemas/fin_agent_reply_chunk_event
 - [Fin Agent Status Updated Event](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_status_updated_event.md): Schema: #/components/schemas/fin_agent_status_updated_event
 - [Fin Agent User](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/fin-agent/fin_agent_user.md): Schema: #/components/schemas/fin_agent_user
## Help Center

 - [GET /help_center/help_centers/{help_center_id}/redirects](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/listhelpcenterredirects.md): You can fetch a list of all URL redirects for a help center by making a GET request to `https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects`. Redirects are returned in descendi
 - [POST /help_center/help_centers/{help_center_id}/redirects](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/createhelpcenterredirect.md): You can create a new URL redirect by making a POST request to `https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects`. Requires the `read_write_help_center_redirects_scope` OAuth
 - [GET /help_center/help_centers/{help_center_id}/redirects/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/retrievehelpcenterredirect.md): You can fetch the details of a single redirect by making a GET request to `https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}`. Requires the `read_help_center_redirects_s
 - [DELETE /help_center/help_centers/{help_center_id}/redirects/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/deletehelpcenterredirect.md): You can delete a single redirect by making a DELETE request to `https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}`. Requires the `read_write_help_center_redirects_scope`
 - [GET /help_center/collections](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/listallcollections.md): You can fetch a list of all collections by making a GET request to `https://api.intercom.io/help_center/collections`. Collections will be returned in descending order on the `updated_at` attribute. Th
 - [POST /help_center/collections](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/createcollection.md): You can create a new collection by making a POST request to `https://api.intercom.io/help_center/collections.`
 - [GET /help_center/collections/{collection_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/retrievecollection.md): You can fetch the details of a single collection by making a GET request to `https://api.intercom.io/help_center/collections/<id>`.
 - [PUT /help_center/collections/{collection_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/updatecollection.md): You can update the details of a single collection by making a PUT request to `https://api.intercom.io/collections/<id>`.
 - [DELETE /help_center/collections/{collection_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/deletecollection.md): You can delete a single collection by making a DELETE request to `https://api.intercom.io/collections/<id>`.
 - [GET /help_center/help_centers/{help_center_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/retrievehelpcenter.md): You can fetch the details of a single Help Center by making a GET request to `https://api.intercom.io/help_center/help_center/<id>`.
 - [GET /help_center/help_centers](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/listhelpcenters.md): You can list all Help Centers by making a GET request to `https://api.intercom.io/help_center/help_centers`.
 - [Collection](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/collection.md): Schema: #/components/schemas/collection
 - [Help Center](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/help_center.md): Schema: #/components/schemas/help_center
 - [Help Centers](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/help_center_list.md): Schema: #/components/schemas/help_center_list
 - [Help Center Redirect](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/help-center/help_center_redirect.md): Schema: #/components/schemas/help_center_redirect
## Internal Articles

 - [GET /internal_articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/listinternalarticles.md): You can fetch a list of all internal articles by making a GET request to `https://api.intercom.io/internal_articles`.
 - [POST /internal_articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/createinternalarticle.md): You can create a new internal article by making a POST request to `https://api.intercom.io/internal_articles`.
 - [GET /internal_articles/{internal_article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/retrieveinternalarticle.md): You can fetch the details of a single internal article by making a GET request to `https://api.intercom.io/internal_articles/<id>`.
 - [PUT /internal_articles/{internal_article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/updateinternalarticle.md): You can update the details of a single internal article by making a PUT request to `https://api.intercom.io/internal_articles/<id>`.
 - [DELETE /internal_articles/{internal_article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/deleteinternalarticle.md): You can delete a single internal article by making a DELETE request to `https://api.intercom.io/internal_articles/<id>`.
 - [POST /internal_articles/{internal_article_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/attachtagtointernalarticle.md): Apply an existing tag to an internal article. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have t
 - [DELETE /internal_articles/{internal_article_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/detachtagfrominternalarticle.md): Remove a tag from an internal article. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission.
 - [GET /internal_articles/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/searchinternalarticles.md): You can search for internal articles by making a GET request to `https://api.intercom.io/internal_articles/search`.
 - [Internal Articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/internal_article_list_item.md): Schema: #/components/schemas/internal_article_list_item
 - [Internal Article Search Response](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/internal_article_search_response.md): Schema: #/components/schemas/internal_article_search_response
## IP Allowlist

 - [GET /ip_allowlist](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ip-allowlist/getipallowlist.md): Retrieve the current IP allowlist configuration for the workspace.
 - [PUT /ip_allowlist](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ip-allowlist/updateipallowlist.md): Update the IP allowlist configuration for the workspace. The API will reject updates that would lock out the caller's IP address. Ensure your current IP is included in the allowlist when enabling the
## Jobs

 - [GET /jobs/status/{job_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/jobs/jobsstatus.md): Retrieve the status of job execution.
 - [Jobs](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/jobs/jobs.md): Schema: #/components/schemas/jobs
## Macros

 - [GET /macros/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/macros/getmacro.md): You can fetch a single macro (saved reply) by its ID. The macro will only be returned if it is visible to the authenticated user based on its visibility settings. **Visibility Rules** A macro is retur
 - [GET /macros](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/macros/listmacros.md): You can fetch a list of all macros (saved replies) in your workspace for use in automating responses. The macros are returned in descending order by updated_at. **Pagination** This endpoint uses curso
 - [Macro](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/macros/macro.md): Schema: #/components/schemas/macro
 - [Macro List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/macros/macro_list.md): Schema: #/components/schemas/macro_list
## Messages

 - [POST /messages](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/messages/createmessage.md): You can create a message that has been initiated by an admin. The conversation can be either an in-app message, an email or whatsapp. > 🚧 Sending for visitors There can be a short delay between when
 - [GET /messages/whatsapp/status](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/messages/retrievewhatsappmessagestatus.md): Retrieves the delivery status of a specific WhatsApp message by its message ID. Returns the current status, conversation details, and any error information if the message failed to deliver.
 - [GET /messages/status](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/messages/getwhatsappmessagestatus.md): Retrieves statuses of messages sent from the Outbound module. Currently, this API only supports WhatsApp messages. This endpoint returns paginated status events for WhatsApp messages sent via the Ou
 - [Message](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/messages/message.md): Schema: #/components/schemas/message
## News

 - [GET /news/news_items](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/listnewsitems.md): You can fetch a list of all news items
 - [POST /news/news_items](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/createnewsitem.md): You can create a news item
 - [GET /news/news_items/{news_item_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/retrievenewsitem.md): You can fetch the details of a single news item.
 - [PUT /news/news_items/{news_item_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/updatenewsitem.md)
 - [DELETE /news/news_items/{news_item_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/deletenewsitem.md): You can delete a single news item.
 - [GET /news/newsfeeds/{newsfeed_id}/items](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/listlivenewsfeeditems.md): You can fetch a list of all news items that are live on a given newsfeed
 - [GET /news/newsfeeds](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/listnewsfeeds.md): You can fetch a list of all newsfeeds
 - [GET /news/newsfeeds/{newsfeed_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/retrievenewsfeed.md): You can fetch the details of a single newsfeed
 - [News Item](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/news_item.md): Schema: #/components/schemas/news_item
 - [Newsfeed](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/newsfeed.md): Schema: #/components/schemas/newsfeed
 - [Newsfeed Assignment](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/news/newsfeed_assignment.md): Schema: #/components/schemas/newsfeed_assignment
## Notes

 - [GET /companies/{company_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/listcompanynotes.md): You can fetch a list of notes that are associated to a company.
 - [POST /companies/{company_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/createcompanynote.md): You can add a note to a single company.
 - [GET /contacts/{contact_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/listnotes.md): You can fetch a list of notes that are associated to a contact.
 - [POST /contacts/{contact_id}/notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/createnote.md): You can add a note to a single contact.
 - [GET /notes/{note_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/retrievenote.md): You can fetch the details of a single note.
 - [Company Note](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/company_note.md): Schema: #/components/schemas/company_note
 - [Note](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/notes/note.md): Schema: #/components/schemas/note
## Office Hours

 - [GET /office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/getofficehoursexception.md): You can fetch the details of a single office hours exception.
 - [PUT /office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/updateofficehoursexception.md): You can update an existing office hours exception.
 - [DELETE /office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/deleteofficehoursexception.md): You can delete a single office hours exception.
 - [GET /office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/listofficehoursexceptions.md): You can fetch a list of all exceptions for an office hours schedule.
 - [POST /office_hours_schedules/{office_hours_schedule_id}/office_hours_exceptions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/createofficehoursexception.md): You can create an exception for an office hours schedule. Use `closed` to mark the day closed (omit `time_intervals`) or `custom_hours` to supply replacement intervals.
 - [GET /office_hours_schedules/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/getofficehoursschedule.md): You can fetch the details of a single office hours schedule.
 - [PUT /office_hours_schedules/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/updateofficehoursschedule.md): You can update an existing office hours schedule.
 - [DELETE /office_hours_schedules/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/deleteofficehoursschedule.md): You can delete a single office hours schedule.
 - [GET /office_hours_schedules](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/listofficehoursschedules.md): You can fetch a list of all office hours schedules for the workspace.
 - [POST /office_hours_schedules](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/createofficehoursschedule.md): You can create a new office hours schedule for the workspace.
 - [Office Hours Exception](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/office_hours_exception.md): Schema: #/components/schemas/office_hours_exception
 - [Office Hours Schedule](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/office_hours_schedule.md): Schema: #/components/schemas/office_hours_schedule
 - [Office Hours Time Interval](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/office-hours/office_hours_time_interval.md): Schema: #/components/schemas/office_hours_time_interval
## Reporting Data Export

 - [POST /export/reporting_data/enqueue](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/reporting-data-export/paths/~1export~1reporting_data~1enqueue/post.md): For the conversation dataset, from this version onward this export returns all conversations, including those that never received a user reply. Earlier versions return only conversations that received
 - [GET /export/reporting_data/{job_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/reporting-data-export/paths/~1export~1reporting_data~1%7Bjob_identifier%7D/get.md)
 - [GET /export/reporting_data/get_datasets](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/reporting-data-export/paths/~1export~1reporting_data~1get_datasets/get.md)
 - [GET /download/reporting_data/{job_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/reporting-data-export/paths/~1download~1reporting_data~1%7Bjob_identifier%7D/get.md): Download the data from a completed reporting data export job. > Octet header required You will have to specify the header Accept: `application/octet-stream` when hitting this endpoint.
## Segments

 - [GET /contacts/{contact_id}/segments](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/segments/listsegmentsforacontact.md): You can fetch a list of segments that are associated to a contact.
 - [GET /segments](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/segments/listsegments.md): You can fetch a list of all segments.
 - [GET /segments/{segment_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/segments/retrievesegment.md): You can fetch the details of a single segment.
 - [Segment](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/segments/segment.md): Schema: #/components/schemas/segment
## Subscription Types

 - [GET /contacts/{contact_id}/subscriptions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/subscription-types/listsubscriptionsforacontact.md): You can fetch a list of subscription types that are attached to a contact. These can be subscriptions that a user has 'opted-in' to or has 'opted-out' from, depending on the subscription type. This wi
 - [POST /contacts/{contact_id}/subscriptions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/subscription-types/attachsubscriptiontypetocontact.md): You can add a specific subscription to a contact. In Intercom, we have two different subscription types based on user consent - opt-out and opt-in: 1.Attaching a contact to an opt-out subscription
 - [DELETE /contacts/{contact_id}/subscriptions/{subscription_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/subscription-types/detachsubscriptiontypetocontact.md): You can remove a specific subscription from a contact. This will return a subscription type model for the subscription type that was removed from the contact.
 - [GET /subscription_types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/subscription-types/listsubscriptiontypes.md): You can list all subscription types. A list of subscription type objects will be returned.
 - [Subscription Types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/subscription-types/subscription_type.md): Schema: #/components/schemas/subscription_type
## Switch

 - [POST /phone_call_redirects](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/switch/createphoneswitch.md): You can use the API to deflect phone calls to the Intercom Messenger. Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified. If custom attributes are speci
## Tags

 - [POST /articles/{article_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/attachtagtoarticle.md): Apply an existing tag to an article. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have the `manag
 - [DELETE /articles/{article_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/detachtagfromarticle.md): Remove a tag from an article. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission. Requires
 - [POST /internal_articles/{internal_article_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/attachtagtointernalarticle.md): Apply an existing tag to an internal article. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have t
 - [DELETE /internal_articles/{internal_article_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/detachtagfrominternalarticle.md): Remove a tag from an internal article. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission.
 - [GET /contacts/{contact_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/listtagsforacontact.md): You can fetch a list of all tags that are attached to a specific contact.
 - [POST /contacts/{contact_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/attachtagtocontact.md): You can tag a specific contact. This will return a tag object for the tag that was added to the contact.
 - [DELETE /contacts/{contact_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/detachtagfromcontact.md): You can remove tag from a specific contact. This will return a tag object for the tag that was removed from the contact.
 - [POST /content_snippets/{content_snippet_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/attachtagtocontentsnippet.md): Apply an existing tag to a content snippet. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have the
 - [DELETE /content_snippets/{content_snippet_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/detachtagfromcontentsnippet.md): Remove a tag from a content snippet. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission. Re
 - [POST /conversations/{conversation_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/attachtagtoconversation.md): You can tag a specific conversation. This will return a tag object for the tag that was added to the conversation.
 - [DELETE /conversations/{conversation_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/detachtagfromconversation.md): You can remove tag from a specific conversation. This will return a tag object for the tag that was removed from the conversation.
 - [GET /tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/listtags.md): You can fetch a list of all tags for a given workspace.
 - [POST /tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/createtag.md): You can use this endpoint to perform the following operations: **1. Create a new tag:** You can create a new tag by passing in the tag name as specified in "Create or Update Tag Request Payload" descr
 - [GET /tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/findtag.md): You can fetch the details of tags that are on the workspace by their id. This will return a tag object.
 - [DELETE /tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/deletetag.md): You can delete the details of tags that are on the workspace by passing in the id.
 - [POST /tickets/{ticket_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/attachtagtoticket.md): You can tag a specific ticket. This will return a tag object for the tag that was added to the ticket.
 - [DELETE /tickets/{ticket_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/detachtagfromticket.md): You can remove tag from a specific ticket. This will return a tag object for the tag that was removed from the ticket.
 - [Tag](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/tag.md): Schema: #/components/schemas/tag
 - [Tag](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tags/tag_basic.md): Schema: #/components/schemas/tag_basic
## Teams

 - [GET /teams](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/teams/listteams.md): This will return a list of team objects for the App.
 - [GET /teams/{team_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/teams/retrieveteam.md): You can fetch the details of a single team, containing an array of admins that belong to this team.
 - [GET /teams/{team_id}/metrics](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/teams/getteammetrics.md): Returns real-time activity metrics for admins in the specified team. For each admin, the response includes counts of open, idle, and snoozed conversations. This endpoint requires the `realtime_monitor
 - [Team](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/teams/team.md): Schema: #/components/schemas/team
## Ticket States

 - [GET /ticket_states](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-states/listticketstates.md): You can get a list of all ticket states for a workspace.
## Ticket Type Attributes

 - [POST /ticket_types/{ticket_type_id}/attributes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-type-attributes/createtickettypeattribute.md): You can create a new attribute for a ticket type.
 - [PUT /ticket_types/{ticket_type_id}/attributes/{attribute_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-type-attributes/updatetickettypeattribute.md): You can update an existing attribute for a ticket type.
## Ticket Types

 - [GET /ticket_types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-types/listtickettypes.md): You can get a list of all ticket types for a workspace.
 - [POST /ticket_types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-types/createtickettype.md): You can create a new ticket type. > 📘 Creating ticket types. Every ticket type will be created with two default attributes: *default_title* and *default_description*. For the `icon` propery, use an e
 - [GET /ticket_types/{ticket_type_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-types/gettickettype.md): You can fetch the details of a single ticket type.
 - [PUT /ticket_types/{ticket_type_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/ticket-types/updatetickettype.md): You can update a ticket type. > 📘 Updating a ticket type. For the `icon` propery, use an emoji from [Twemoji Cheatsheet](https://twemoji-cheatsheet.vercel.app/)
## Tickets

 - [POST /tickets/{ticket_id}/reply](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/replyticket.md): You can reply to a ticket with a message from an admin or on behalf of a contact, or with a note for admins.
 - [POST /tickets/{ticket_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/attachtagtoticket.md): You can tag a specific ticket. This will return a tag object for the tag that was added to the ticket.
 - [DELETE /tickets/{ticket_id}/tags/{tag_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/detachtagfromticket.md): You can remove tag from a specific ticket. This will return a tag object for the tag that was removed from the ticket.
 - [POST /tickets/{ticket_id}/linked_conversations](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/linkconversationtoticket.md): Link a conversation to an existing tracker ticket. The conversation can be a regular conversation or one that has been converted into a customer ticket. Use this when related conversations surface aft
 - [DELETE /tickets/{ticket_id}/linked_conversations/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/unlinkconversationfromticket.md): Unlink a conversation (or converted customer ticket) from a tracker ticket it is currently linked to. The ticket in the path must be a tracker ticket. This returns the conversation that was unlinked.
 - [POST /tickets](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/createticket.md): You can create a new ticket.
 - [POST /tickets/enqueue](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/enqueuecreateticket.md): Enqueues ticket creation for asynchronous processing, returning if the job was enqueued successfully to be processed. We attempt to perform a best-effort validation on inputs before tasks are enqueued
 - [PUT /tickets/{ticket_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/updateticket.md): You can update a ticket.
 - [GET /tickets/{ticket_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/getticket.md): You can fetch the details of a single ticket.
 - [DELETE /tickets/{ticket_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/deleteticket.md): Deleting a ticket is permanent and cannot be reversed. Deleting a ticket permanently removes it from the inbox. All sensitive data is deleted, including admin and user replies, ticket attributes, uplo
 - [POST /tickets/{ticket_id}/change_type](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/changetickettype.md): You can change the type of a ticket. The new ticket type must be in the same category as the current type. Attributes matching by name and type are automatically transferred from the old type; values
 - [POST /tickets/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/searchtickets.md): You can search for multiple tickets by the value of their attributes in order to fetch exactly which ones you want. To search for tickets, you send a `POST` request to `https://api.intercom.io/tickets
 - [Ticket](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/ticket.md): Schema: #/components/schemas/ticket
 - [Contacts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/ticket_contacts.md): Schema: #/components/schemas/ticket_contacts
 - [Ticket Part](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/ticket_part.md): Schema: #/components/schemas/ticket_part
 - [Ticket State](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/ticket_state.md): Schema: #/components/schemas/ticket_state
 - [Ticket State](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/ticket_state_detailed.md): Schema: #/components/schemas/ticket_state_detailed
 - [Ticket Type](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/tickets/ticket_type.md): Schema: #/components/schemas/ticket_type
## Visitors

 - [PUT /visitors](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/visitors/updatevisitor.md): Sending a PUT request to `/visitors` will result in an update of an existing Visitor. **Option 1.** You can update a visitor by passing in the `user_id` of the visitor in the Request body. **Option 2.
 - [GET /visitors](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/visitors/retrievevisitorwithuserid.md): You can fetch the details of a single visitor.
 - [POST /visitors/convert](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/visitors/convertvisitor.md): You can merge a Visitor to a Contact of role type `lead` or `user`. > 📘 What happens upon a visitor being converted? If the User exists, then the Visitor will be merged into it, the Visitor deleted a
## WhatsApp

 - [GET /messages/whatsapp/status](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/whatsapp/retrievewhatsappmessagestatus.md): Retrieves the delivery status of a specific WhatsApp message by its message ID. Returns the current status, conversation details, and any error information if the message failed to deliver.
 - [GET /messages/status](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/whatsapp/getwhatsappmessagestatus.md): Retrieves statuses of messages sent from the Outbound module. Currently, this API only supports WhatsApp messages. This endpoint returns paginated status events for WhatsApp messages sent via the Ou
## Workflows

 - [GET /export/workflows/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/workflows/exportworkflow.md): Export a workflow configuration by its ID. This endpoint returns the complete workflow definition including its steps, targeting rules, and attributes. This endpoint is designed for EU Data Act compl
## Models

 - [Activity Log](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/activity_log.md): Schema: #/components/schemas/activity_log
 - [Paginated Response](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/activity_log_list.md): Schema: #/components/schemas/activity_log_list
 - [Activity Log Metadata](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/activity_log_metadata.md): Schema: #/components/schemas/activity_log_metadata
 - [Addressable List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/addressable_list.md): Schema: #/components/schemas/addressable_list
 - [Admins](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/admin_list.md): Schema: #/components/schemas/admin_list
 - [Admin Priority Level](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/admin_priority_level.md): Schema: #/components/schemas/admin_priority_level
 - [Admin Reply](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/admin_reply_conversation_request.md): Schema: #/components/schemas/admin_reply_conversation_request
 - [Admin Reply on ticket](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/admin_reply_ticket_request.md): Schema: #/components/schemas/admin_reply_ticket_request
 - [Admin](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/admin_with_app.md): Schema: #/components/schemas/admin_with_app
 - [AI Call Response](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/ai_call_response.md): Schema: #/components/schemas/ai_call_response
 - [App](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/app.md): Schema: #/components/schemas/app
 - [Article Content](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/article_content.md): Schema: #/components/schemas/article_content
 - [Articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/article_list.md): Schema: #/components/schemas/article_list
 - [Article Statistics](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/article_statistics.md): Schema: #/components/schemas/article_statistics
 - [Article Translated Content](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/article_translated_content.md): Schema: #/components/schemas/article_translated_content
 - [Article Versions](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/article_version_list.md): Schema: #/components/schemas/article_version_list
 - [Assign Conversation Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/assign_conversation_request.md): Schema: #/components/schemas/assign_conversation_request
 - [Assign Conversation Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/attach_contact_to_conversation_request.md): Schema: #/components/schemas/attach_contact_to_conversation_request
 - [Audience List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/audience_list.md): Schema: #/components/schemas/audience_list
 - [away_status_reason](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/away_status_reason.md): Schema: #/components/schemas/away_status_reason
 - [Away Status Reasons](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/away_status_reason_list.md): Schema: #/components/schemas/away_status_reason_list
 - [Banner List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/banner_list.md): Schema: #/components/schemas/banner_list
 - [Calls](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/call_list.md): Schema: #/components/schemas/call_list
 - [Change Ticket Type Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/change_ticket_type_request.md): Schema: #/components/schemas/change_ticket_type_request
 - [Close Conversation Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/close_conversation_request.md): Schema: #/components/schemas/close_conversation_request
 - [Collections](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/collection_list.md): Schema: #/components/schemas/collection_list
 - [Company Attached Contacts](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/company_attached_contacts.md): Schema: #/components/schemas/company_attached_contacts
 - [Company Attached Segments](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/company_attached_segments.md): Schema: #/components/schemas/company_attached_segments
 - [Company Data](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/company_data.md): Schema: #/components/schemas/company_data
 - [Companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/company_list.md): Schema: #/components/schemas/company_list
 - [Company Scroll](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/company_scroll.md): Schema: #/components/schemas/company_scroll
 - [Contact Archived](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_archived.md): Schema: #/components/schemas/contact_archived
 - [Contact Attached Companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_attached_companies.md): Schema: #/components/schemas/contact_attached_companies
 - [Contact Blocked](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_blocked.md): Schema: #/components/schemas/contact_blocked
 - [Contact companies](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_companies.md): Schema: #/components/schemas/contact_companies
 - [Contact Deleted](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_deleted.md): Schema: #/components/schemas/contact_deleted
 - [Contact List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_list.md): Schema: #/components/schemas/contact_list
 - [Contact Location](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_location.md): Schema: #/components/schemas/contact_location
 - [Contact notes](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_notes.md): Schema: #/components/schemas/contact_notes
 - [Contact Reference](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reference.md): Schema: #/components/schemas/contact_reference
 - [Contact Reply Base Object](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_base_request.md): Schema: #/components/schemas/contact_reply_base_request
 - [Contact Reply](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_conversation_request.md): Schema: #/components/schemas/contact_reply_conversation_request
 - [Email](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_email_request.md): Schema: #/components/schemas/contact_reply_email_request
 - [Intercom User ID](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_intercom_user_id_request.md): Schema: #/components/schemas/contact_reply_intercom_user_id_request
 - [Email](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_ticket_email_request.md): Schema: #/components/schemas/contact_reply_ticket_email_request
 - [Intercom User ID](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_ticket_intercom_user_id_request.md): Schema: #/components/schemas/contact_reply_ticket_intercom_user_id_request
 - [Contact Reply on ticket](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_ticket_request.md): Schema: #/components/schemas/contact_reply_ticket_request
 - [User ID](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_ticket_user_id_request.md): Schema: #/components/schemas/contact_reply_ticket_user_id_request
 - [User ID](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_reply_user_id_request.md): Schema: #/components/schemas/contact_reply_user_id_request
 - [Contact search request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_search_request.md): Schema: #/components/schemas/contact_search_request
 - [Segments](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_segments.md): Schema: #/components/schemas/contact_segments
 - [Social Profile](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_social_profiles.md): Schema: #/components/schemas/contact_social_profiles
 - [Contact Subscription Types](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_subscription_types.md): Schema: #/components/schemas/contact_subscription_types
 - [Contact Tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_tags.md): Schema: #/components/schemas/contact_tags
 - [Contact Unarchived](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/contact_unarchived.md): Schema: #/components/schemas/contact_unarchived
 - [Content Bulk Action Request Payload](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_bulk_action_request.md): Schema: #/components/schemas/content_bulk_action_request
 - [Content Bulk Action Response Envelope](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_bulk_action_response.md): Schema: #/components/schemas/content_bulk_action_response
 - [Content Search Article Content Item](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_search_article_content_item.md): Schema: #/components/schemas/content_search_article_content_item
 - [Content Search Article Item](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_search_article_item.md): Schema: #/components/schemas/content_search_article_item
 - [Content Search Default Item](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_search_default_item.md): Schema: #/components/schemas/content_search_default_item
 - [Content Search Response](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_search_response.md): Schema: #/components/schemas/content_search_response
 - [Content Search Result](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_search_result.md): Schema: #/components/schemas/content_search_result
 - [Create Content Snippet Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_snippet_create_request.md): Schema: #/components/schemas/content_snippet_create_request
 - [Content Snippet List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_snippet_list.md): Schema: #/components/schemas/content_snippet_list
 - [Update Content Snippet Request](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_snippet_update_request.md): Schema: #/components/schemas/content_snippet_update_request
 - [Content Source List](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/content_sources_list.md): Schema: #/components/schemas/content_sources_list
 - [Conversation attachment files](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/models/conversation_attachment_files.md): Schema: #/components/schemas/conversation_attachment_files
[...]
